サポート » プラグイン » WP-PicLensが有効にならない

  • 解決済 tantei_k

    (@tantei_k)


    お世話になります。

    現在、CentOS5でサーバーを構築しwordpressを色々弄っているところなのですがWP-PicLensを有効化しようとすると以下のエラーを出力し有効化されず困っております。

    ERROR: WP Piclens REQUIRES PHP libxml Functions.
    See http://www.php.net/manual/en/ref.libxml.php

    該当プラグインが動作する必要な条件としてPHP5+ (with libXML support)であることを確認しておりましたので予め以下の確認を行っていたのですが

    phpinfo
     libXML support:active
     libXML Version:2.6.26
     libXML streams:enabled

    rpmパッケージ
    # rpm -qa | grep libxml
    libxml2-devel-2.6.26-2.1.2.1
    libxml2-2.6.26-2.1.2.1
    libxml2-python-2.6.26-2.1.2.1

    とパッケージもlibxmlも有効な状態であると認識するのですが如何せん有効化されません。ご助力頂けましたら幸いです。

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • スレッド開始 tantei_k

    (@tantei_k)

    追記:
    WP-PicLensの配布元はこちらです。
    http://piclens.com/lite/wordpress.php

    モデレーター IKEDA Yuriko

    (@lilyfan)

    とパッケージもlibxmlも有効な状態であると認識するのですが如何せん有効化されません。

    PHP のバージョンが 5.0 以降である確認ができてない気がしますが、こちらはどうでしょう?

    スレッド開始 tantei_k

    (@tantei_k)

    lilyfan 様

    ご指摘大変恐れ入ります。

    PHP のバージョンが 5.0 以降である確認ができてない気がしますが

    phpのバージョンについては以下の通りとなります。

    # rpm -q php
    php-5.1.6-15.el5

    また、以下の[@]を外すことで何らかの他のエラーが確認できるか等試みましたが出ませんでした。(T_T

    /wp-admin/plugins.php
    @ini_set(‘display_errors’, true);

    ini_set(‘display_errors’, true);

    スレッド開始 tantei_k

    (@tantei_k)

    追記:
    一応すべてのプラグインを外した状態でのテストも試みましたが変わることはありませんでした・・・。

    スレッド開始 tantei_k

    (@tantei_k)

    自己解決致しました。

    すっごい恥ずかしいのですが

    php-xmlが入っていないことがそもそもの原因でした。

    phpinfoを確認した際にDOMが無いのでおかしいとは思っていましたが・・・(合掌

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • トピック「WP-PicLensが有効にならない」には新たに返信することはできません。